{
    CAN232 Monitor Application written for Delphi 5
    by:
      John Dammeyer
      Automation Artisans Inc.
      www.autoartisans.com
      25OCT02
    for:
      Lawicel Sweden
      www.candip.com
}
unit CAN232Link;   // Unit which has CAN232 Type Declarations and Constants.

interface


type

  // Lawicel CAN232 Parameters.
  PCAN232_REC = ^TCAN232_REC;
  TCAN232_REC = record
    Initialized : BOOLEAN;
    CAN_RATE : integer;         // CAN Bus bit rate
    CAN232_RATE : Integer;      // RS232 Port baud rate.
    CAN_POLL_RATE : integer;    // Frequency of 'A' command.
  end;

  const CAN232BaudRates: array[0..6] of string = ( '230400',
                                        '115200',
                                        '57600',
                                        '38400',
                                        '19200',
                                        '9600',
                                        '2400' );


  const CAN232PORTNames: array[1..10] of string = ( 'COM1',
                                        'COM2',
                                        'COM3',
                                        'COM4',
                                        'COM5',
                                        'COM6',
                                        'COM7',
                                        'COM8',
                                        'COM9',
                                        'COM10' );



implementation

end.
