{
    CAN232 Monitor Application written for Delphi 5
    by:
      John Dammeyer
      Automation Artisans Inc.
      www.autoartisans.com
      25OCT02
    for:
      Lawicel Sweden
      www.candip.com
}
unit CAN232Set;   // Code for CAN232 parameter setting dialog box.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CAN232Link;

type

  TCAN232SetupForm = class(TForm)
    Accept: TButton;
    Cancel: TButton;
    CANBitRateBox: TComboBox;
    Label1: TLabel;
    COM232PortSpeed: TComboBox;
    Label2: TLabel;
    Label3: TLabel;
    COM232PollRate: TEdit;
    procedure AcceptClick(Sender: TObject);
    procedure CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    FData : pointer;
    constructor CreateFrameData(Value: Pointer; Owner: TComponent);
  end;

implementation

{$R *.DFM}

constructor TCAN232SetupForm.CreateFrameData(Value: Pointer; Owner: TComponent);

begin
  inherited Create(Owner);
  // point to passed data.
  Fdata := Value;
  // Show parameters
  CANBitRateBox.ItemIndex := PCAN232_REC(FData)^.CAN_RATE;
  COM232PortSpeed.ItemIndex := PCAN232_REC(FData)^.CAN232_RATE;
  COM232PollRate.text := IntToStr(PCAN232_REC(FData)^.CAN_POLL_RATE);
end;


procedure TCAN232SetupForm.AcceptClick(Sender: TObject);
var
   tempRate : integer;
begin
    PCAN232_REC(FData)^.CAN_RATE := CANBitRateBox.ItemIndex;
    PCAN232_REC(FData)^.CAN232_RATE := COM232PortSpeed.ItemIndex;
    tempRate := StrToInt(COM232PollRate.Text);
    if ( tempRate >= 50) then     // No less than 50mS between 'A' commands.
        PCAN232_REC(FData)^.CAN_POLL_RATE := tempRate;
    ModalResult := mrOK;
end;

procedure TCAN232SetupForm.CancelClick(Sender: TObject);
begin
      ModalResult := mrCancel;
end;

end.
